Package: groovy.org.codenarc.tool

## [Groovy] Class GenerateRuleSetAllRules

- groovy.org.codenarc.tool.GenerateRuleSetAllRules

- Java application (main() method) that generates the "StarterRuleSet-AllRules.groovy.txt.template" file. This file is a valid CodeNarc ruleset file that includes ALL rules distributed with CodeNarc.

  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static def` | `RULESET_FILE` |
    `protected static def` | `ruleSetFile` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `main(String[] args)` Write out all current rules to the 'codenarc-base-rules.properties' properties file

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected static final def RULESET_FILE

    - #### protected static def ruleSetFile

  - ### Method Detail

    - #### static void main(String[] args)

      Write out all current rules to the 'codenarc-base-rules.properties' properties file

      Parameters:
        `args` - - command-line args (not used)